This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 491122 - Need Requires(post) on texmf packages
Need Requires(post) on texmf packages
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: texlive (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Jindrich Novy
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-19 10:39 EDT by Orion Poplawski
Modified: 2013-07-02 19:35 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-20 17:12:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Orion Poplawski 2009-03-19 10:39:13 EDT
Description of problem:

Recent F10 install resulted in the following install order, with the error messages shown:

Installing texlive-texmf-errata-2007-4.fc9.noarch
Installing texlive-texmf-errata-dvips-2007-4.fc9.noarch
Installing texlive-texmf-errata-fonts-2007-4.fc9.noarch
Installing texlive-texmf-errata-latex-2007-4.fc9.noarch
Installing texlive-texmf-2007-26.fc10.noarch
Installing kpathsea-2007-35.fc10.i386
No such file or directory
Installing texlive-texmf-dvips-2007-26.fc10.noarch
No such file or directory
Installing texlive-texmf-fonts-2007-26.fc10.noarch
Installing texlive-2007-35.fc10.i386
Installing texlive-dvips-2007-35.fc10.i386
Installing texlive-utils-2007-35.fc10.i386
Installing texlive-latex-2007-35.fc10.i386
No such file or directory
Installing texlive-texmf-latex-2007-26.fc10.noarch

This results in:

This is pdfTeXk, Version 3.141592-1.40.3 (Web2C 7.5.6)
 %&-line parsing enabled.
kpathsea: Running mktexfmt latex.fmt
fmtutil: running `pdftex -ini   -jobname=latex -progname=latex -translate-file=cp227.tcx *latex.ini' ...
This is pdfTeXk, Version 3.141592-1.40.3 (Web2C 7.5.6) (INITEX)
 %&-line parsing enabled.
 (/usr/share/texmf/web2c/cp227.tcx)
entering extended mode
(/usr/share/texmf/tex/latex/latexconfig/latex.ini
! I can't find file `pdftexconfig'.

Looks like the texlive sub-packages need appropriate Requires(post) so that they get configured properly at install time.
Comment 1 Patrice Dumas 2009-03-19 11:14:12 EDT
During texlive review, I thought that there were issues of ordering lurking around.

So, if you dig into the devel list archives, you could find some mails of myself trying to attract help and interest on that subject. This wasn't very succesfull, and at the same time it seemed that there was no issue in the current setup so i gave up, but maybe some things I said at that time were relevant.

At the same time, i am not sure that investing a lot on texlive 2007 is worth it given how texlive 2008 is different.
Comment 2 Bug Zapper 2009-11-18 06:33:35 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Orion Poplawski 2009-11-20 17:12:51 EST
I'm not seeing any problems on F12.

Note You need to log in before you can comment on or make changes to this bug.